package ctop.bytedance.ad.common.utils;

import org.apache.http.client.methods.HttpEntityEnclosingRequestBase;

import java.net.URI;

public class HttpGetWithBodyEntity extends HttpEntityEnclosingRequestBase {
    private final static String METHOD_NAME = "GET";

    @Override
    public String getMethod() {
        return METHOD_NAME;
    }

    public HttpGetWithBodyEntity() {
        super();
    }

    public HttpGetWithBodyEntity(final URI uri) {
        super();
        setURI(uri);
    }

    HttpGetWithBodyEntity(final String uri) {
        super();
        setURI(URI.create(uri));
    }
}
